Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Text Template Operations

UpdateAliyunSmsSNSTextTemplate

UpdateAliyunSmsSNSTextTemplate

PUT/zstack/v1/zwatch/alarms/sns/text-templates/{uuid}/actions

Operation ID

UpdateAliyunSmsSNSTextTemplate

Since

3.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The template UUID.

Body Fields

  • alarmTemplateCode
    String

    Optional. The resource alarm template code.

  • sign
    String

    Optional. The SMS message signature.

  • eventTemplateCode
    String

    Optional. The event template code.

  • eventTemplate
    String

    Optional. The event alarm template text.

  • name
    String

    Optional. The template name.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    AliyunSmsSNSTextTemplateInventoryRequired

    See inventory.

    • alarmTemplateCode
      StringRequired

      The resource alarm template code.

    • sign
      StringRequired

      The SMS message signature.

    • eventTemplateCode
      StringRequired

      The event alarm template code.

    • eventTemplate
      StringRequired

      The event alarm template text.

    • uuid
      StringRequired

      The template UUID.

    • name
      StringRequired

      The template name.

    • description
      StringRequired

      The detailed description of the template.

    • applicationPlatformType
      StringRequired

      The application platform type.

    • template
      StringRequired

      The resource alarm template text.

    • recoveryTemplate
      StringRequired

      The recovery template text.

    • defaultTemplate
      BooleanRequired

      Whether to set the template as the default template.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.